BaseLifecycle (Groovy 5.0.6)
Description: declaration: package: org.apache.groovy.contracts.common.base, class: BaseLifecycle

Package org.apache.groovy.contracts.common.base

# Class BaseLifecycle

java.lang.Object
org.apache.groovy.contracts.common.base.BaseLifecycle

All Implemented Interfaces:
  `Lifecycle`

Direct Known Subclasses:
  `ClassInvariantLifecycle`, `PostconditionLifecycle`, `PreconditionLifecycle`

public abstract class BaseLifecycle extends Object implements Lifecycle
Base implementation class for interface `Lifecycle`. This class is supposed tp be extended by `Lifecycle` implementation classes and provides empty method bodies for all interface methods.

See Also:
  - `Lifecycle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)`
  `void`
  `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
  `void`
  `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
  `void`
  `beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)`
  `void`
  `beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
  `void`
  `beforeProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseLifecycle

    public BaseLifecycle()

- ## Method Details

  - ### beforeProcessingClassNode

    public void beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)
    Specified by:
      `beforeProcessingClassNode` in interface `Lifecycle`

  - ### afterProcessingClassNode

    public void afterProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)
    Specified by:
      `afterProcessingClassNode` in interface `Lifecycle`

  - ### beforeProcessingMethodNode

    public void beforeProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    Specified by:
      `beforeProcessingMethodNode` in interface `Lifecycle`

  - ### afterProcessingMethodNode

    public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    Specified by:
      `afterProcessingMethodNode` in interface `Lifecycle`

  - ### beforeProcessingConstructorNode

    public void beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    Specified by:
      `beforeProcessingConstructorNode` in interface `Lifecycle`

  - ### afterProcessingConstructorNode

    public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    Specified by:
      `afterProcessingConstructorNode` in interface `Lifecycle`